Bug 170203 - mc has unintuitive behaviour w.r.t. FTP
mc has unintuitive behaviour w.r.t. FTP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 20:00 EDT by Florin Andrei
Modified: 2013-07-02 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 17:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-10-08 20:00:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I am using mc as an FTP client. The server is a machine running FC4 and vsftpd.

Fire up mc, F9, then go to "FTP link"
I enter "user@host" then hit ENTER.
I enter the password.
At the next screen I am presented with the root (/) directory of the filesystem on that machine. If I try to navigate to /home/user it fails.

Kill mc, then re-run it.
F9, "FTP link" again.
Enter "user@host/home/user"
Enter password.
Now I landed in /home/user directly, which is fine.

Version-Release number of selected component (if applicable):
mc-4.6.1a-0.13.FC4

How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
  

Actual Results:  see above

Expected Results:  see above

Additional info:

Why add "/home/user"? Pretty much any other FTP client ends up in /home/user automatically.
Comment 1 Leonard den Ottolander 2005-10-26 17:31:37 EDT
Looks more like an ftp server config issue. If you want your users chrooted you
should configure your server as such. Not being able to cd to /home/user looks
like a permissions issue.

Wrt the question whether the ftp client should move the user to its home
directory: That's a matter of personal preference. The ftp clients I know need
me to specify this (usually in a config file). You should be able to use "~" though.

Closing this bug "WONTFIX". If you really feel strongly about mc auto-cding to ~
for ftp you should take this upstream.

Note You need to log in before you can comment on or make changes to this bug.